﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WpfRcp.Startup;

namespace RCPApplication.UI.Startup
{
    public sealed class WpfRcpApplication: ApplicationBase
    {
        public WpfRcpApplication()
        {
            Resources.MergedDictionaries.Add(new Resources.Common());
            Resources.MergedDictionaries.Add(new RibbonControls.Resources.Common());
            Resources.MergedDictionaries.Add(new AvalonDockControls.Resources.Common());
            WpfRcp.Services.ThemeService.LightTheme.MergedDictionaries.Add(new AvalonDockControls.Resources.AvalonDockExpressionLight());
            WpfRcp.Services.ThemeService.DarkTheme.MergedDictionaries.Add(new AvalonDockControls.Resources.AvalonDockExpressionDark());
        }

        [STAThread]
        private static void Main()
        {
            var app = new WpfRcpApplication();
            app.Run();
        }

        #region Overrides of ApplicationBase

        protected override BootstrapperBase GetBootstrapper()
        {
            return new WpfRcpApplicationBootstrapper(this);
        }

        #endregion
    }
}
