﻿//==============================================================================
// File: PropertyContainerException.cs
// Created: 2010-05-10
// Author: Piotr Włodek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with WpfRcp. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Runtime.Serialization;

namespace WpfRcp.PropertyModel
{
    /// <summary>
    /// Represents an exception thrown by a <see cref="IPropertyContainer"/>.
    /// </summary>
    [Serializable]
    public class PropertyContainerException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PropertyContainerException"/> class.
        /// </summary>
        /// <param name="message">The message describing the problem.</param>
        public PropertyContainerException(string message) : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="PropertyContainerException"/> class.
        /// </summary>
        /// <param name="message">The message describing the problem.</param>
        /// <param name="inner">The inner exception which caused this exception to be thrown.</param>
        public PropertyContainerException(string message, Exception inner) : base(message, inner)
        {
        }

        protected PropertyContainerException(
            SerializationInfo info,
            StreamingContext context) : base(info, context)
        {
        }
    }
}