﻿//==============================================================================
// File: PropertyScopeException.cs
// Created: 2010-05-10
// Author: Piotr Włodek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with WpfRcp. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Runtime.Serialization;

namespace WpfRcp.PropertyModel.Scope
{
    /// <summary>
    /// Represents a property scope exception.
    /// </summary>
    [Serializable]
    public class PropertyScopeException : Exception
    {
        /// <summary>
        /// Initializes a new instance of <see cref="PropertyScopeException"/> class.
        /// </summary>
        public PropertyScopeException()
        {
        }

        /// <summary>
        /// Initializes a new instance of <see cref="PropertyScopeException"/> class.
        /// </summary>
        /// <param name="message">Exception description.</param>
        public PropertyScopeException(string message) : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of <see cref="PropertyScopeException"/> class.
        /// </summary>
        /// <param name="message">Exception description.</param>
        /// <param name="inner">Exception that caused this exception.</param>
        public PropertyScopeException(string message, Exception inner) : base(message, inner)
        {
        }

        protected PropertyScopeException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}