﻿//==============================================================================
// File: LanguageManager.cs
// Created: 2010-05-28
// Author: Piotr Włodek, Arek Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System.Globalization;
using System.Windows;
using WpfRcp.Controls.Resources;

namespace WpfRcp.Controls.Utils
{
    public static class LanguageManager
    {
        private static readonly ResourceDictionary ResourcesPl = new ResourcesPl();
        private static readonly ResourceDictionary ResourcesEn = new ResourcesEn();

        public static void SetLanguage(CultureInfo culture)
        {
            Application.Current.Resources.MergedDictionaries.Remove(ResourcesEn);
            Application.Current.Resources.MergedDictionaries.Remove(ResourcesPl);

            if (culture.Name == "en-US")
            {
                Application.Current.Resources.MergedDictionaries.Add(ResourcesEn);
            }
            else if (culture.Name == "pl-PL")
            {
                Application.Current.Resources.MergedDictionaries.Add(ResourcesPl);
            }
            else
            {
                Application.Current.Resources.MergedDictionaries.Add(ResourcesEn);
            }
        }
    }
}