﻿//==============================================================================
// File: RegionManagerExtensions.cs
// Created: 2010-06-07
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Windows;
using Microsoft.Practices.Composite.Presentation.Regions;
using Microsoft.Practices.Composite.Regions;

namespace WpfRcp.Core.Common.Extensions
{
    public static class RegionManagerExtensions
    {
        public static void AttachNewRegion(this IRegionManager regionManager, object regionTarget, string regionName)
        {
            if (regionManager.Regions.ContainsRegionWithName(regionName))
                throw new ArgumentException("Region already exists.", regionName);

            RegionManager.SetRegionManager((DependencyObject) regionTarget, regionManager);
            RegionManager.SetRegionName((DependencyObject) regionTarget, regionName);
        }
    }
}