﻿//==============================================================================
// File: JobState.cs
// Created: 2010-06-07
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

namespace WpfRcp.Core.Threading
{
    /// <summary>
    /// Represents job's state.
    /// </summary>
    public enum JobState
    {
        /// <summary>
        /// State in which job is ready to run.
        /// </summary>
        Ready,

        /// <summary>
        /// State in which job is running.
        /// </summary>
        Running,

        /// <summary>
        /// State in which job is completed.
        /// </summary>
        Completed,

        /// <summary>
        /// State in which job is being cancelled, but might still be processing.
        /// </summary>
        CancelRequested,

        /// <summary>
        /// State in which job is cancelled.
        /// </summary>
        Canceled,

        /// <summary>
        /// State in which job is stopped because of an error.
        /// </summary>
        Error
    }
}