﻿//==============================================================================
// File: StatusViewPresentationModel.cs
// Created: 2010-06-07
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System.Collections.Generic;
using WpfRcp.Core.Services.Status;
using System.Collections.ObjectModel;

namespace WpfRcp.Core.Views.Presenters
{
    public class StatusViewPresentationModel : PresenterBase<IStatusView>
    {
        private ObservableCollection<ISimpleRcpStatusMonitor> m_Monitors;

        public StatusViewPresentationModel(IStatusView view, IShell shell)
        {
            View = view;
            View.ViewOwner = shell;
            View.PresentationModel = this;

            Monitors = new ObservableCollection<ISimpleRcpStatusMonitor>();
        }

        public ObservableCollection<ISimpleRcpStatusMonitor> Monitors
        {
            get { return m_Monitors; }
            set
            {
                m_Monitors = value;
                OnPropertyChanged<StatusViewPresentationModel>(t => t.Monitors);
            }
        }
    }
}