﻿//==============================================================================
// File: WindowPresenterBase.cs
// Created: 2010-06-07
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.ComponentModel;

namespace WpfRcp.Core.Views.Presenters
{
    /// <summary>
    /// Presneter for the Model-View-Presenter and PresentationModel design patterns.
    /// </summary>
    /// <typeparam name="TView">Concrete view type.</typeparam>
    public abstract class WindowPresenterBase<TView> : PresenterBase<TView>
        where TView : class, IView
    {
        protected override void Initialize()
        {
            View.Closed += OnClosedHandler;
            View.Closing += OnClosingHandler;
        }

        protected virtual void OnClosedHandler(object sender, EventArgs e)
        {
        }

        protected virtual void OnClosingHandler(object sender, CancelEventArgs e)
        {
        }
    }
}