﻿//==============================================================================
// File: ExtendedCompositeApplicationLibraryModule.cs
// Created: 2010-05-10
// Author: Piotr Włodek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Collections.Generic;
using System.Windows;
using Caliburn.Core;
using Caliburn.Prism;

namespace WpfRcp.Helpers.Caliburn
{
    public class ExtendedCompositeApplicationLibraryModule : CompositeApplicationLibraryModule
    {
        public ExtendedCompositeApplicationLibraryModule(IConfigurationHook hook, Func<DependencyObject> createShell)
            : base(hook, createShell)
        {
        }

        private bool m_ImmediateComponentLoading;

        public CompositeApplicationLibraryModule WithImmediateComponentLoading()
        {
            var container = (IContainer)ServiceLocator;
            container.ConfigureWith(GetComponents());

            m_ImmediateComponentLoading = true;

            return this;
        }

        protected override IEnumerable<ComponentInfo> GetComponents()
        {
            if (m_ImmediateComponentLoading)
            {
                yield break;
            }

            foreach (var component in base.GetComponents())
            {
                yield return component;
            }
        }
    }
}