﻿//==============================================================================
// File: AppTextExceptionFormatter.cs
// Created: 2010-05-10
// Author: Piotr Włodek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Collections.Specialized;
using System.IO;
using System.Reflection;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;

namespace WpfRcp.Helpers.Logging
{
    /// <summary>
    /// Summary description for AppTextExceptionFormatter.
    /// </summary>	
    public class AppTextExceptionFormatter : TextExceptionFormatter
    {
        public AppTextExceptionFormatter(TextWriter writer, Exception exception)
            : base(writer, exception)
        {
        }

        public AppTextExceptionFormatter(TextWriter writer, Exception exception, Guid instance)
            : base(writer, exception, instance)
        {
        }

        protected override void WriteStackTrace(string stackTrace)
        {
        }

        protected override void WriteExceptionType(Type exceptionType)
        {
        }

        protected override void WriteAdditionalInfo(NameValueCollection additionalInformation)
        {
        }

        protected override void WriteDateTime(DateTime utcNow)
        {
        }
        protected override void WriteMessage(string message)
        {
            Writer.Write("{0}", message);
        }

        protected override void WriteSource(string source)
        {
        }

        protected override void WritePropertyInfo(PropertyInfo propertyInfo, object value)
        {
        }

        protected override void WriteHelpLink(string helpLink)
        {
        }

        protected override void WriteDescription()
        {
        }

        protected override void WriteFieldInfo(FieldInfo fieldInfo, object value)
        {
        }
    }
}