﻿//==============================================================================
// File: TreeViewStyle.xaml.cs
// Created: 2010-05-28
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using WpfRcp.Core.Common;

namespace WpfRcp.Resources.ControlStyles
{
    public partial class TreeViewStyle
    {
        public TreeViewStyle()
        {
            InitializeComponent();
        }

        private void OnTreeViewItemPreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            var originalSource = (e.OriginalSource as DependencyObject).TryFindParent<TreeViewItem>();
            if (originalSource != null && !originalSource.IsSelected)
            {
                originalSource.IsSelected = true;
                originalSource.Focus();
            }
        }
    }
}
