﻿//==============================================================================
// File: LogManager.cs
// Created: 2010-09-17
// Author: Piotr Włodek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System.Collections.ObjectModel;
using System.ComponentModel.Composition;
using Caliburn.PresentationFramework;
using WpfRcp.Core.Services;

namespace WpfRcp.Services
{
    [Export]
    [PartCreationPolicy(CreationPolicy.Shared)]
    public class LogManager
    {
        private readonly BindableCollection<ILogEntry> m_LogEntries;
        private readonly ReadOnlyObservableCollection<ILogEntry> m_ReadOnlyLogEntries;
        
        public LogManager()
        {
            m_LogEntries = new BindableCollection<ILogEntry>();
            m_ReadOnlyLogEntries = new ReadOnlyObservableCollection<ILogEntry>(m_LogEntries);
        }

        public void AddEntry(ILogEntry entry)
        {
            m_LogEntries.Insert(0, entry);
        }

        public void Clear()
        {
            m_LogEntries.Clear();
        }

        public ReadOnlyObservableCollection<ILogEntry> ReadOnlyLogEntries
        {
            get { return m_ReadOnlyLogEntries; }
        }
    }
}