﻿//==============================================================================
// File: CommonOptions.xaml.cs
// Created: 2010-05-28
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using System.Globalization;
using System.Windows.Data;
using WpfRcp.Views.Presenters;

namespace WpfRcp.Views.Controls
{
    /// <summary>
    /// Interaction logic for CommonOptions.xaml
    /// </summary>
    public partial class CommonOptions : ICommonOptionsView
    {
        public CommonOptions(CommonOptionsViewPresentationModel presentationModel)
        {
            PresentationModel = presentationModel;
            PresentationModel.View = this;

            InitializeComponent();
        }

        public CommonOptionsViewPresentationModel PresentationModel
        {
            get { return (CommonOptionsViewPresentationModel) DataContext; }
            set { DataContext = value; }
        }
    }

    public class WorkspaceScaleConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var scale = (double)value;
            return Math.Log(scale, 2.0);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var scale = Math.Pow(2.0, (double)value);
            return scale;
        }

        #endregion
    }
}
