﻿//==============================================================================
// File: MessageBoxWindow.xaml.cs
// Created: 2010-05-28
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System.Windows;
using System.Windows.Media;
using WpfRcp.Views.Presenters;

namespace WpfRcp.Views.Windows
{
    /// <summary>
    /// Interaction logic for MessageBoxWindow.xaml
    /// </summary>
    public partial class MessageBoxWindow : IMessageBoxView
    {
        public MessageBoxWindow()
        {
            InitializeComponent();
        }

        public MessageBoxViewPresentationModel PresentationModel
        {
            get { return (MessageBoxViewPresentationModel) DataContext; }
            set { DataContext = value; }
        }

        public object ViewOwner
        {
            set { Owner = value as Window; }
        }

        public void SetImage(string key)
        {
            if (Resources.Contains(key))
                m_Image.Source = (ImageSource)Resources[key];
        }
    }
}