﻿//==============================================================================
// File: StatusWindow.xaml.cs
// Created: 2010-05-28
// Author: Piotr Włodek, Arkadiusz Świerczek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System.Windows;
using WpfRcp.Core.Views;
using WpfRcp.Core.Views.Presenters;
using WpfRcp.Services.Status;

namespace WpfRcp.Views.Windows
{
    /// <summary>
    /// Interaction logic for ProgressWindow.xaml
    /// </summary>
    public partial class StatusWindow : IStatusView
    {
        public StatusWindow()
        {
            InitializeComponent();
        }

        #region IStatusView Members

        public object ViewOwner
        {
            set { Owner = value as Window; }
        }

        public StatusViewPresentationModel PresentationModel
        {
            get { return (StatusViewPresentationModel)DataContext; }
            set { DataContext = value; }
        }

        #endregion

        private void CancelClick(object sender, RoutedEventArgs e)
        {
            ((SimpleRcpStatusMonitor)((FrameworkElement)sender).DataContext).Cancel();
        }
    }
}